#
# spec file for package python-featureflow
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-featureflow
Version:        3.0.1
Release:        lp152.1.1
Summary:        A python library for building feature extraction pipelines
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/JohnVinyard/featureflow
Source0:        https://files.pythonhosted.org/packages/source/f/featureflow/featureflow-%{version}.tar.gz
# PATCH-FIX-OPENSUSE fix_certifi_dependency.patch -- loosen certifi version dependency
Patch0:         fix_certifi_dependency.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module certifi >= 2017.7.27.1}
BuildRequires:  %{python_module dill}
BuildRequires:  %{python_module lmdb}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module numpy}
BuildRequires:  %{python_module redis}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module unittest2}
# /SECTION
Requires:       python-certifi >= 2017.7.27.1
Requires:       python-dill
Requires:       python-lmdb
Requires:       python-redis
Requires:       python-requests
Recommends:     python-numpy
BuildArch:      noarch

%python_subpackages

%description
Featureflow is a python library that allows users to build feature
extraction pipelines in a declarative way, and control how and where
those features are persisted.

%prep
%setup -q -n featureflow-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# Tests don't work without multiprocessing
# %%check
# %%python_exec setup.py test

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Jul 23 2019 Todd R <toddrme2178@gmail.com>
- Update to 3.0.1
  * Fix bug whereby iter_zip returned closed ZipExtFile instances
- Update to 3.0.0
  * Switch to python3-only
* Sat Dec 22 2018 Todd R <toddrme2178@gmail.com>
- Update tp 2.12.1
  * non-buggy pandoc usage
  * support for numpy 1.15
- Rebase fix_certifi_dependency.patch
- Remove upstream-included fix_numpy_recarrays.patch
* Sat Nov  3 2018 Todd R <toddrme2178@gmail.com>
- Initial version
- Add fix_certifi_dependency.patch
  Make the version dependency for certifi less strict.
  We don't use that exact version.
- Add fix_numpy_recarrays.patch
  Fix handling of numpy recarrays
  See: https://github.com/JohnVinyard/featureflow/issues/7
  From: https://github.com/JohnVinyard/featureflow/pull/8
